#ifndef PLUGINCONFIGURATION_H_
#define PLUGINCONFIGURATION_H_
#include "CPPTrustedSites.h"

namespace CryptoPro{
namespace PKI {
namespace CAdES {

/// Настройки плагина
class CPPPluginConfiguration
{
public:
    CPPPluginConfiguration();
    HRESULT GetSites(boost::shared_ptr<CPPTrustedSites>& pTrustedSites);
    HRESULT GetSitesGroupPolicy(std::set<std::wstring> &sites);
    HRESULT IsUntrustedSitesDisabled(bool &disabled);
    bool IsValidUrl(CAtlString sUrl);
private:
    DISALLOW_COPY_AND_ASSIGN(CPPPluginConfiguration);
};

} /* namespace CAdES */
} /* namespace PKI */
} /* namespace CryptoPro */

#endif //PLUGINCONFIGURATION_H_
